package org.jeecg.modules.alUser.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.postBean.ReqUserRole;
import org.jeecg.modules.postBean.UserLoginModel;
import org.springframework.web.bind.annotation.RequestBody;


public interface UserService {

    //获取首页基础信息
    Result<?> getIndexInfo();


    Result<JSONObject> login(UserLoginModel userLoginModel);

    Result<JSONObject> reg(UserLoginModel userLoginModel);


    Result<JSONObject> role(ReqUserRole reqUserRole);



}
